import { Contact } from "./Contact";

type AppointmentRole = "organizer" | "speaker" | "participant";

export interface Member extends Contact {
    role: AppointmentRole;
}

export interface Appointment {
    title: string;

    startAt: Date;

    /** Duration in minutes */
    duration: number;

    getMembers(role?: AppointmentRole): Member[];
}